package svc

import "time"

const (
	cacheWechatTokenPrefix    = "cache:wechat:token:"
	cacheErpSchoolTree        = "i2bill:cache:erp:school_tree:"
	cacheErpActivity          = "i2bill:cache:erp:activity:"
	cacheErpSchool            = "i2bill:cache:erp:school:"
	cacheErpNetworkDetailTree = "i2bill:cache:erp:network_detail_tree:"
	cacheErpCityTree          = "i2bill:cache:erp:city_tree:"
)

// Cache defined
type Cache interface {
	SetCache(key string, v interface{}) error
	GetCache(key string, v interface{}) error
	SetWithExpire(key string, v interface{}, expire time.Duration) error
}
